use std::collections::HashMap;

use phono_models::{field::Field, language::Language};
use serde::Serialize;

#[derive(Clone, Debug, Serialize)]
pub(crate) struct TableFieldInfo {
    pub(crate) field: Field,
    pub(crate) column_present: bool,
    pub(crate) has_default: bool,
    pub(crate) not_null: bool,
}

#[derive(Clone, Debug, Serialize)]
pub(crate) struct FormFieldInfo {
    pub(crate) field: Field,
    pub(crate) column_present: bool,
    pub(crate) has_default: bool,
    pub(crate) not_null: bool,
    pub(crate) prompts: HashMap<Language, String>,
}
